Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3880)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3881)
@@ -2653,5 +3336,5 @@
         CHARACTER(LEN=2)                              :: ls
         CHARACTER(LEN=varnamelength)                  :: var           !< TRIM(variable)
-        INTEGER(iwp), PARAMETER                       :: nl1 = 16      !< number of directional usm variables
+        INTEGER(iwp), PARAMETER                       :: nl1 = 14      !< number of directional usm variables
         CHARACTER(LEN=varnamelength), DIMENSION(nl1)  :: varlist1 = &  !< list of directional usm variables
                   (/'usm_wshf                      ', &
@@ -2664,6 +3347,4 @@
                     'usm_surfwintrans              ', &
                     'usm_surfcat                   ', &
-                    'usm_surfalb                   ', &
-                    'usm_surfemis                  ', &
                     'usm_t_surf_wall               ', &
                     'usm_t_surf_window             ', &
@@ -2734,6 +3415,5 @@
                   var(1:14) == 'usm_theta_10cm' )  THEN
             unit = 'K'
-        ELSE IF ( var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat'  .OR.         &
-                  var(1:11) == 'usm_surfalb'  .OR.  var(1:12) == 'usm_surfemis'  )  THEN
+        ELSE IF ( var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat' )  THEN
             unit = '1'
         ELSE
@@ -2851,5 +3531,5 @@
         LOGICAL, INTENT(OUT)           ::  found     !< 
         REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf   !< sp - it has to correspond to module data_output_3d
-        REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr)     ::  temp_pf    !< temp array for urban surface output procedure
+        REAL(sp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr)     ::  temp_pf    !< temp array for urban surface output procedure
         
         CHARACTER (len=varnamelength)                      :: var     !< trimmed variable name
@@ -2956,64 +3636,4 @@
               ENDIF
               
-          CASE ( 'usm_surfalb' )
-!
-!--           surface albedo, weighted average
-              IF ( idsint == iup_u )  THEN
-                 DO  m = 1, surf_usm_h%ns
-                    i = surf_usm_h%i(m)
-                    j = surf_usm_h%j(m)
-                    k = surf_usm_h%k(m)
-                    temp_pf(k,j,i) = surf_usm_h%frac(ind_veg_wall,m)     *     &
-                                     surf_usm_h%albedo(ind_veg_wall,m)  +      &
-                                     surf_usm_h%frac(ind_pav_green,m)    *     &
-                                     surf_usm_h%albedo(ind_pav_green,m) +      &
-                                     surf_usm_h%frac(ind_wat_win,m)      *     &
-                                     surf_usm_h%albedo(ind_wat_win,m)
-                 ENDDO
-              ELSE
-                 l = idsidx
-                 DO  m = 1, surf_usm_v(l)%ns
-                    i = surf_usm_v(l)%i(m)
-                    j = surf_usm_v(l)%j(m)
-                    k = surf_usm_v(l)%k(m)
-                    temp_pf(k,j,i) = surf_usm_v(l)%frac(ind_veg_wall,m)     *  &
-                                     surf_usm_v(l)%albedo(ind_veg_wall,m)  +   &
-                                     surf_usm_v(l)%frac(ind_pav_green,m)    *  &
-                                     surf_usm_v(l)%albedo(ind_pav_green,m) +   &
-                                     surf_usm_v(l)%frac(ind_wat_win,m)      *  &
-                                     surf_usm_v(l)%albedo(ind_wat_win,m)
-                 ENDDO
-              ENDIF
-              
-          CASE ( 'usm_surfemis' )
-!
-!--           surface emissivity, weighted average
-              IF ( idsint == iup_u )  THEN
-                 DO  m = 1, surf_usm_h%ns
-                    i = surf_usm_h%i(m)
-                    j = surf_usm_h%j(m)
-                    k = surf_usm_h%k(m)
-                    temp_pf(k,j,i) =  surf_usm_h%frac(ind_veg_wall,m)      *   &
-                                      surf_usm_h%emissivity(ind_veg_wall,m)  + &
-                                      surf_usm_h%frac(ind_pav_green,m)     *   &
-                                      surf_usm_h%emissivity(ind_pav_green,m) + &
-                                      surf_usm_h%frac(ind_wat_win,m)       *   &
-                                      surf_usm_h%emissivity(ind_wat_win,m)
-                 ENDDO
-              ELSE
-                 l = idsidx
-                 DO  m = 1, surf_usm_v(l)%ns
-                    i = surf_usm_v(l)%i(m)
-                    j = surf_usm_v(l)%j(m)
-                    k = surf_usm_v(l)%k(m)
-                    temp_pf(k,j,i) = surf_usm_v(l)%frac(ind_veg_wall,m)       *&
-                                     surf_usm_v(l)%emissivity(ind_veg_wall,m) +&
-                                     surf_usm_v(l)%frac(ind_pav_green,m)      *&
-                                     surf_usm_v(l)%emissivity(ind_pav_green,m)+&
-                                     surf_usm_v(l)%frac(ind_wat_win,m)        *&
-                                     surf_usm_v(l)%emissivity(ind_wat_win,m)
-                 ENDDO
-              ENDIF
-
           CASE ( 'usm_surfwintrans' )
 !
@@ -3759,5 +4379,4 @@
              var(1:15) == 'usm_theta_10cm' .OR.                                             &
              var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat'  .OR.                &
-             var(1:11) == 'usm_surfalb'  .OR.  var(1:12) == 'usm_surfemis'  .OR.            &
              var(1:16) == 'usm_surfwintrans'  .OR. var(1:7) == 'usm_swc' ) THEN
 
@@ -4058,29 +4677,4 @@
 !--     ground-floor-level properties. 
         surf_usm_h%ground_level = .FALSE. 
-!         DO  m = 1, surf_usm_h%ns
-!            i = surf_usm_h%i(m)
-!            j = surf_usm_h%j(m)
-!            k = surf_usm_h%k(m)
-! !
-! !--        Get local ground level. If no ground level is given in input file,
-! !--        use default value.
-!            ground_floor_level_l = ground_floor_level
-!            IF ( building_pars_f%from_file )  THEN
-!               IF ( building_pars_f%pars_xy(ind_gflh,j,i) /=                    &
-!                    building_pars_f%fill )  &
-!                  ground_floor_level_l = building_pars_f%pars_xy(ind_gflh,j,i)          
-!            ENDIF
-! !
-! !--        Determine height of surface element above ground level
-!            IF (  terrain_height_f%from_file )  THEN
-!               z_agl = zw(k) - terrain_height_f%var(j,i)
-!            ELSE
-!               z_agl = zw(k)
-!            ENDIF
-! !
-! !--        Set flag for ground level
-!            IF ( z_agl <= ground_floor_level_l )                                &
-!               surf_usm_h%ground_level(m) = .TRUE.
-!         ENDDO
 
         DO  l = 0, 3
@@ -4091,10 +4685,17 @@
               k = surf_usm_v(l)%k(m)
 !
-!--           Get local ground level. If no ground level is given in input file,
-!--           use default value.
+!--           Determine local ground level. Level 1 - default value,
+!--           level 2 - initialization according to building type, 
+!--           level 3 - initialization from value read from file.
               ground_floor_level_l = ground_floor_level
+              
+              IF ( building_type_f%from_file )  THEN
+                  ground_floor_level_l =                                       &
+                              building_pars(ind_gflh,building_type_f%var(j,i))
+              ENDIF
+              
               IF ( building_pars_f%from_file )  THEN
                  IF ( building_pars_f%pars_xy(ind_gflh,j,i) /=                 &
-                      building_pars_f%fill ) &
+                      building_pars_f%fill )                                   &
                     ground_floor_level_l = building_pars_f%pars_xy(ind_gflh,j,i)
               ENDIF
@@ -4102,6 +4703,8 @@
 !--           Determine height of surface element above ground level. Please 
 !--           note, height of surface element is determined with respect to
-!--           its height of the adjoing atmospheric grid point. 
-              IF (  terrain_height_f%from_file )  THEN
+!--           its height above ground of the reference grid point in atmosphere,
+!--           Therefore, substract the offset values when assessing the terrain
+!--           height.
+              IF ( terrain_height_f%from_file )  THEN
                  z_agl = zw(k) - terrain_height_f%var(j-surf_usm_v(l)%joff,    &
                                                       i-surf_usm_v(l)%ioff)
@@ -4149,5 +4752,5 @@
 !
 !--     Initialize urban-type surface attribute. According to initialization in 
-!--     land-surface model, follow a 3-level approach.
+!--     land-surface model, follow a 3-level approach. 
 !--     Level 1 - initialization via default attributes 
         DO  m = 1, surf_usm_h%ns
@@ -4204,6 +4807,6 @@
            surf_usm_h%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win_r,building_type)    
 
-           surf_usm_h%target_temp_summer(m)  = building_pars(117,building_type)    
-           surf_usm_h%target_temp_winter(m)  = building_pars(118,building_type)    
+           surf_usm_h%target_temp_summer(m)  = building_pars(ind_indoor_target_temp_summer,building_type)    
+           surf_usm_h%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,building_type)    
 !
 !--        emissivity of wall-, green- and window fraction 
@@ -4238,10 +4841,10 @@
            surf_usm_h%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win_r,building_type)
 
-           surf_usm_h%c_surface(m)           = building_pars(0,building_type)  
-           surf_usm_h%lambda_surf(m)         = building_pars(3,building_type)  
-           surf_usm_h%c_surface_green(m)     = building_pars(2,building_type)  
-           surf_usm_h%lambda_surf_green(m)   = building_pars(5,building_type)  
-           surf_usm_h%c_surface_window(m)    = building_pars(1,building_type)  
-           surf_usm_h%lambda_surf_window(m)  = building_pars(4,building_type)  
+           surf_usm_h%c_surface(m)           = building_pars(ind_c_surface,building_type)  
+           surf_usm_h%lambda_surf(m)         = building_pars(ind_lambda_surf,building_type)  
+           surf_usm_h%c_surface_green(m)     = building_pars(ind_c_surface_green,building_type)  
+           surf_usm_h%lambda_surf_green(m)   = building_pars(ind_lambda_surf_green,building_type)  
+           surf_usm_h%c_surface_window(m)    = building_pars(ind_c_surface_win,building_type)  
+           surf_usm_h%lambda_surf_window(m)  = building_pars(ind_lambda_surf_win,building_type)  
            
            surf_usm_h%green_type_roof(m)     = building_pars(ind_green_type_roof,building_type)
@@ -4367,6 +4970,6 @@
               surf_usm_v(l)%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win,building_type)    
 
-              surf_usm_v(l)%target_temp_summer(m)  = building_pars(117,building_type)    
-              surf_usm_v(l)%target_temp_winter(m)  = building_pars(118,building_type)    
+              surf_usm_v(l)%target_temp_summer(m)  = building_pars(ind_indoor_target_temp_summer,building_type)    
+              surf_usm_v(l)%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,building_type)    
 !
 !--           emissivity of wall-, green- and window fraction 
@@ -4400,10 +5003,10 @@
               surf_usm_v(l)%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win,building_type)
 
-              surf_usm_v(l)%c_surface(m)           = building_pars(0,building_type)  
-              surf_usm_v(l)%lambda_surf(m)         = building_pars(3,building_type)
-              surf_usm_v(l)%c_surface_green(m)     = building_pars(2,building_type)  
-              surf_usm_v(l)%lambda_surf_green(m)   = building_pars(5,building_type)
-              surf_usm_v(l)%c_surface_window(m)    = building_pars(1,building_type)  
-              surf_usm_v(l)%lambda_surf_window(m)  = building_pars(4,building_type)
+              surf_usm_v(l)%c_surface(m)           = building_pars(ind_c_surface,building_type)  
+              surf_usm_v(l)%lambda_surf(m)         = building_pars(ind_lambda_surf,building_type)
+              surf_usm_v(l)%c_surface_green(m)     = building_pars(ind_c_surface_green,building_type)  
+              surf_usm_v(l)%lambda_surf_green(m)   = building_pars(ind_lambda_surf_green,building_type)
+              surf_usm_v(l)%c_surface_window(m)    = building_pars(ind_c_surface_win,building_type)  
+              surf_usm_v(l)%lambda_surf_window(m)  = building_pars(ind_lambda_surf_win,building_type)
 
            ENDDO
@@ -4470,6 +5073,6 @@
                  surf_usm_h%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win_r,st)    
 
-                 surf_usm_h%target_temp_summer(m)  = building_pars(117,st)    
-                 surf_usm_h%target_temp_winter(m)  = building_pars(118,st)    
+                 surf_usm_h%target_temp_summer(m)  = building_pars(ind_indoor_target_temp_summer,st)    
+                 surf_usm_h%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,st)    
 !
 !--              emissivity of wall-, green- and window fraction 
@@ -4504,10 +5107,10 @@
                  surf_usm_h%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win_r,st)
 
-                 surf_usm_h%c_surface(m)           = building_pars(0,st)  
-                 surf_usm_h%lambda_surf(m)         = building_pars(3,st)
-                 surf_usm_h%c_surface_green(m)     = building_pars(2,st)  
-                 surf_usm_h%lambda_surf_green(m)   = building_pars(5,st)
-                 surf_usm_h%c_surface_window(m)    = building_pars(1,st)  
-                 surf_usm_h%lambda_surf_window(m)  = building_pars(4,st)
+                 surf_usm_h%c_surface(m)           = building_pars(ind_c_surface,st)  
+                 surf_usm_h%lambda_surf(m)         = building_pars(ind_lambda_surf,st)
+                 surf_usm_h%c_surface_green(m)     = building_pars(ind_c_surface_green,st)  
+                 surf_usm_h%lambda_surf_green(m)   = building_pars(ind_lambda_surf_green,st)
+                 surf_usm_h%c_surface_window(m)    = building_pars(ind_c_surface_win,st)  
+                 surf_usm_h%lambda_surf_window(m)  = building_pars(ind_lambda_surf_win,st)
                  
                  surf_usm_h%green_type_roof(m)     = building_pars(ind_green_type_roof,st)
@@ -4640,6 +5243,6 @@
                     surf_usm_v(l)%lambda_h_window(nzb_wall+3,m) = building_pars(ind_tc3_win,st) 
 
-                    surf_usm_v(l)%target_temp_summer(m)  = building_pars(117,st)    
-                    surf_usm_v(l)%target_temp_winter(m)  = building_pars(118,st)    
+                    surf_usm_v(l)%target_temp_summer(m)  = building_pars(ind_indoor_target_temp_summer,st)    
+                    surf_usm_v(l)%target_temp_winter(m)  = building_pars(ind_indoor_target_temp_winter,st)    
 !
 !--                 emissivity of wall-, green- and window fraction 
@@ -4673,10 +5276,10 @@
                     surf_usm_v(l)%zw_window(nzb_wall+3,m)       = building_pars(ind_thick_4_win,st)
 
-                    surf_usm_v(l)%c_surface(m)           = building_pars(0,st)  
-                    surf_usm_v(l)%lambda_surf(m)         = building_pars(3,st) 
-                    surf_usm_v(l)%c_surface_green(m)     = building_pars(2,st)  
-                    surf_usm_v(l)%lambda_surf_green(m)   = building_pars(5,st) 
-                    surf_usm_v(l)%c_surface_window(m)    = building_pars(1,st)  
-                    surf_usm_v(l)%lambda_surf_window(m)  = building_pars(4,st) 
+                    surf_usm_v(l)%c_surface(m)           = building_pars(ind_c_surface,st)  
+                    surf_usm_v(l)%lambda_surf(m)         = building_pars(ind_lambda_surf,st) 
+                    surf_usm_v(l)%c_surface_green(m)     = building_pars(ind_c_surface_green,st)  
+                    surf_usm_v(l)%lambda_surf_green(m)   = building_pars(ind_lambda_surf_green,st) 
+                    surf_usm_v(l)%c_surface_window(m)    = building_pars(ind_c_surface_win,st)  
+                    surf_usm_v(l)%lambda_surf_window(m)  = building_pars(ind_lambda_surf_win,st) 
 
 
@@ -4687,5 +5290,7 @@
         
 !
-!--     Level 3 - initialization via building_pars read from file
+!--     Level 3 - initialization via building_pars read from file. Note, only
+!--     variables that are also defined in the input-standard can be initialized
+!--     via file. Other variables will be initialized on level 1 or 2. 
         IF ( building_pars_f%from_file )  THEN
            DO  m = 1, surf_usm_h%ns
